# PhasicFlow: boundarySphereParticlesList Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

boundarySphereParticlesList Class Reference
Inheritance diagram for boundarySphereParticlesList:
[legend]
Collaboration diagram for boundarySphereParticlesList:
[legend]

## Public Member Functions

| boundarySphereParticlesList (const boundaryList &bndrs, sphereParticles &prtcls)
| ~boundarySphereParticlesList ()=default
Public Member Functions inherited from ListPtr< boundarySphereParticles >
| TypeInfoTemplateNV11 ("ListPtr", boundarySphereParticles)
| ListPtr ()
| ListPtr (size_t len)
| ListPtr (const ListPtrType &src)
| ListPtr (ListPtrType &&src)
ListPtrType & | operator= (const ListPtrType &rhs)
ListPtrType & | operator= (ListPtrType &&rhs)
ListPtrType * | clonePtr () const
uniquePtr< ListPtrType > | clone () const
| ~ListPtr ()
uniquePtr< boundarySphereParticles > | set (size_t i, boundarySphereParticles *ptr)
uniquePtr< boundarySphereParticles > | set (size_t i, uniquePtr< boundarySphereParticles > &&ptr)
uniquePtr< boundarySphereParticles > | setSafe (size_t i, Args &&... args)
pFlow::uniquePtr< boundarySphereParticles > | setSafe (size_t i, Args &&... args)
void | push_back (boundarySphereParticles *ptr)
void | push_back (uniquePtr< boundarySphereParticles > &&ptr)
void | push_backSafe (Args &&... args)
boundarySphereParticles & | operator[] (size_t i)
const boundarySphereParticles & | operator[] (size_t i) const
size_t | size () const
auto | empty () const
uniquePtr< boundarySphereParticles > | release (size_t i)
void | clear ()
void | clear (size_t i)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const

## Private Attributes

const boundaryList & | boundaries_

## Additional Inherited Members

Public Types inherited from ListPtr< boundarySphereParticles >
using | ListPtrType = ListPtr< boundarySphereParticles >
using | listType = std::list< boundarySphereParticles * >
using | iterator = typename listType::iterator
using | const_iterator = typename listType::const_iterator
Static Public Member Functions inherited from ListPtr< boundarySphereParticles >
static uniquePtr< boundarySphereParticles > | makeSafe (Args &&... args)
Protected Member Functions inherited from ListPtr< boundarySphereParticles >
bool | copy (const ListPtrType &src)
boundarySphereParticles * | ptr (size_t i)
const boundarySphereParticles * | ptr (size_t i) const
auto | pos (size_t i)
auto | pos (size_t i) const
Protected Attributes inherited from ListPtr< boundarySphereParticles >
std::list< boundarySphereParticles * > | list_

## Detailed Description

Definition at line 13 of file boundarySphereParticlesList.hpp.

## Constructor & Destructor Documentation

## boundarySphereParticlesList()

boundarySphereParticlesList | ( | const boundaryList & | bndrs,
|  | sphereParticles & | prtcls
| ) |  |

Definition at line 3 of file boundarySphereParticlesList.cpp.

References boundarySphereParticlesList::boundaries_, boundarySphereParticles::create(), ListPtr< boundarySphereParticles >::set(), and ListPtr< T >::size().

Here is the call graph for this function:

## ~boundarySphereParticlesList()

~boundarySphereParticlesList | ( |  | ) |

default

## Member Data Documentation

## boundaries_

const boundaryList& boundaries_

private

Definition at line 19 of file boundarySphereParticlesList.hpp.

Referenced by boundarySphereParticlesList::boundarySphereParticlesList().

The documentation for this class was generated from the following files:

- src/Particles/SphereParticles/boundarySphereParticlesList.hpp
- src/Particles/SphereParticles/boundarySphereParticlesList.cpp